#!/bin/sh

export DEBUG=-g
export DEBUG_FLAGS=-g

if [ $1 = "compile" ]; then
	cd /usr/src/sys/arch/amd64/conf
	if [ ! -f MYKERNEL ]; then
		cp GENERIC.MP MYKERNEL
	fi
	\config MYKERNEL
	cd /sys/arch/amd64/compile/MYKERNEL
	make
fi

if [ $1 = "install" ]; then
	cd /sys/arch/amd64/compile/MYKERNEL
	make install
fi

if [ $1 = "clean" ]; then
	cd /sys/arch/amd64/compile/MYKERNEL
	make clean
fi
